New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Unmet dependencies on Ubuntu 16.04 LTS (64 bit) #9

Closed
jymbob opened this Issue Aug 15, 2016 · 9 comments

Comments

Projects
None yet
4 participants
@jymbob

jymbob commented Aug 15, 2016

dpkg -i mkchromecast_0.3.2-1_all.deb gives the following:

Unpacking mkchromecast (0.3.2-1) over (0.3.2-1) ...
dpkg: dependency problems prevent configuration of mkchromecast:
 mkchromecast depends on python-flask; however:
  Package python-flask is not installed.
 mkchromecast depends on python-pychromecast; however:
  Package python-pychromecast is not installed.
 mkchromecast depends on python-psutil; however:
  Package python-psutil is not installed.
 mkchromecast depends on sox (>= 14.4.1); however:
  Package sox is not installed.

dpkg: error processing package mkchromecast (--install):
 dependency problems - leaving unconfigured

python-pychromecast doesn't appear to be in the repositories.
Fetching the pychromecast deb from here then running apt-get -f install appears to fix it.
I've now installed it and connected to my Chromecast. Haven't actually tried sending anything yet.

@muammar

This comment has been minimized.

Show comment
Hide comment
@muammar

muammar Aug 16, 2016

Owner

@jymbob thanks for the report. Yes, that is expected. I will link your report in the wiki so others can benefit from this.

I am a debian developer, and I have decided that I will upload the package to debian archives to make things easier. I have already created an ITP for mkchromecast.

Owner

muammar commented Aug 16, 2016

@jymbob thanks for the report. Yes, that is expected. I will link your report in the wiki so others can benefit from this.

I am a debian developer, and I have decided that I will upload the package to debian archives to make things easier. I have already created an ITP for mkchromecast.

@muammar

This comment has been minimized.

Show comment
Hide comment
@muammar

muammar Aug 22, 2016

Owner

Package is now in debian repositories: https://packages.debian.org/unstable/mkchromecast. Once it is synced in latest ubuntu version, all dependencies will be installed.

Owner

muammar commented Aug 22, 2016

Package is now in debian repositories: https://packages.debian.org/unstable/mkchromecast. Once it is synced in latest ubuntu version, all dependencies will be installed.

@muammar

This comment has been minimized.

Show comment
Hide comment
@muammar

muammar Aug 24, 2016

Owner

Package is now in Ubuntu: https://launchpad.net/ubuntu/+source/mkchromecast. I will close this report.

Owner

muammar commented Aug 24, 2016

Package is now in Ubuntu: https://launchpad.net/ubuntu/+source/mkchromecast. I will close this report.

@muammar muammar closed this Aug 24, 2016

@akalongman

This comment has been minimized.

Show comment
Hide comment
@akalongman

akalongman May 26, 2017

@muammar
After running sudo dpkg -i mkchromecast_0.3.7.1-1_all.deb I have an error:

Selecting previously unselected package mkchromecast.
(Reading database ... 430276 files and directories currently installed.)
Preparing to unpack mkchromecast_0.3.7.1-1_all.deb ...
Unpacking mkchromecast (0.3.7.1-1) ...
dpkg: dependency problems prevent configuration of mkchromecast:
 mkchromecast depends on python-pychromecast; however:
  Package python-pychromecast is not installed.

dpkg: error processing package mkchromecast (--install):
 dependency problems - leaving unconfigured
Processing triggers for desktop-file-utils (0.22-1ubuntu5.1) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for man-db (2.7.5-1) ...
Errors were encountered while processing:
 mkchromecast

How to install python-pychromecast on ubuntu 16.04?

akalongman commented May 26, 2017

@muammar
After running sudo dpkg -i mkchromecast_0.3.7.1-1_all.deb I have an error:

Selecting previously unselected package mkchromecast.
(Reading database ... 430276 files and directories currently installed.)
Preparing to unpack mkchromecast_0.3.7.1-1_all.deb ...
Unpacking mkchromecast (0.3.7.1-1) ...
dpkg: dependency problems prevent configuration of mkchromecast:
 mkchromecast depends on python-pychromecast; however:
  Package python-pychromecast is not installed.

dpkg: error processing package mkchromecast (--install):
 dependency problems - leaving unconfigured
Processing triggers for desktop-file-utils (0.22-1ubuntu5.1) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for man-db (2.7.5-1) ...
Errors were encountered while processing:
 mkchromecast

How to install python-pychromecast on ubuntu 16.04?

@muammar

This comment has been minimized.

Show comment
Hide comment
@muammar

muammar May 26, 2017

Owner

Try downloading from here: https://packages.ubuntu.com/yakkety/all/python-pychromecast/download and install it manually. Tell me if it works for you. By the way, what version of Ubuntu are you using?.

Owner

muammar commented May 26, 2017

Try downloading from here: https://packages.ubuntu.com/yakkety/all/python-pychromecast/download and install it manually. Tell me if it works for you. By the way, what version of Ubuntu are you using?.

@akalongman

This comment has been minimized.

Show comment
Hide comment
@akalongman

akalongman May 26, 2017

@muammar I am using Ubuntu 16.04. Ok mkchromecast is installed and running, but it can not find my streaming device (chromecast audio)

akalongman commented May 26, 2017

@muammar I am using Ubuntu 16.04. Ok mkchromecast is installed and running, but it can not find my streaming device (chromecast audio)

@muammar

This comment has been minimized.

Show comment
Hide comment
@muammar

muammar May 26, 2017

Owner

@muammar I am using Ubuntu 16.04. Ok mkchromecast is installed and running, but it can not find my streaming device (chromecast audio)

Can you open a new issue, please?. Thanks.

Owner

muammar commented May 26, 2017

@muammar I am using Ubuntu 16.04. Ok mkchromecast is installed and running, but it can not find my streaming device (chromecast audio)

Can you open a new issue, please?. Thanks.

@ludoo0d0a

This comment has been minimized.

Show comment
Hide comment
@ludoo0d0a

ludoo0d0a Jul 11, 2017

Hi, on my Ubuntu 16, installing python-pychromecast requires an update on python-protobuf
How to fix this ?

Préparation du dépaquetage de python-pychromecast_0.7.3-3_all.deb ...
Dépaquetage de python-pychromecast (0.7.3-3) sur (0.7.3-3) ...
dpkg: des problèmes de dépendances empêchent la configuration de python-pychromecast :
python-pychromecast dépend de python-protobuf (>= 3) ; cependant :
La version de python-protobuf sur le système est 2.6.1-1.3.

ludoo0d0a commented Jul 11, 2017

Hi, on my Ubuntu 16, installing python-pychromecast requires an update on python-protobuf
How to fix this ?

Préparation du dépaquetage de python-pychromecast_0.7.3-3_all.deb ...
Dépaquetage de python-pychromecast (0.7.3-3) sur (0.7.3-3) ...
dpkg: des problèmes de dépendances empêchent la configuration de python-pychromecast :
python-pychromecast dépend de python-protobuf (>= 3) ; cependant :
La version de python-protobuf sur le système est 2.6.1-1.3.

@muammar

This comment has been minimized.

Show comment
Hide comment
@muammar

muammar Jul 11, 2017

Owner

@ludoo0d0a You have two choices: 1) Follow the instructions to install from sources, or 2) try installing the missing dependency from here and all subsequent ones that may be missing too.

Mkchromecast deb package is compatible with Ubuntu 16.10 and up.

Owner

muammar commented Jul 11, 2017

@ludoo0d0a You have two choices: 1) Follow the instructions to install from sources, or 2) try installing the missing dependency from here and all subsequent ones that may be missing too.

Mkchromecast deb package is compatible with Ubuntu 16.10 and up.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment